Webhook Subscriptions
Update Webhook Subscription
Update an existing webhook subscription configuration.
PATCH
/
api
/
v1
/
webhook-subscriptions
/
{id}
Update Webhook Subscription
curl --request PATCH \
--url https://api.passentry.com/api/v1/webhook-subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookSubscription": {
"url": "https://example.com/webhook/updated",
"enabled": false,
"subscribedEvents": [
"passInstalled",
"passRemoved",
"passCreated"
]
}
}
'import requests
url = "https://api.passentry.com/api/v1/webhook-subscriptions/{id}"
payload = { "webhookSubscription": {
"url": "https://example.com/webhook/updated",
"enabled": False,
"subscribedEvents": ["passInstalled", "passRemoved", "passCreated"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhookSubscription: {
url: 'https://example.com/webhook/updated',
enabled: false,
subscribedEvents: ['passInstalled', 'passRemoved', 'passCreated']
}
})
};
fetch('https://api.passentry.com/api/v1/webhook-subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01983282-53cf-7e16-b5e1-dd0de4ce02fa",
"type": "webhookSubscription",
"attributes": {
"url": "https://example.com/webhook/updated",
"secretKey": "a2e2c04657b924390d2a2623439c65734d07e0f8",
"enabled": false,
"scopeType": "organisation",
"scopeName": "Test Organisation",
"subscribedEvents": [
"passInstalled",
"passRemoved",
"passCreated"
]
}
}
}{
"errors": [
"Invalid URL format"
]
}{
"errors": [
"<string>"
]
}{
"errors": [
"Webhook subscription not found"
]
}{
"errors": [
"URL must be HTTPS"
]
}Note: The scope (organisation/entity) of a webhook subscription cannot be changed after creation. To change the scope, create a new webhook subscription and delete the old one.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Webhook subscription ID
Body
application/json
Webhook subscription update configuration
Show child attributes
Show child attributes
Response
Webhook subscription updated successfully
Show child attributes
Show child attributes
Was this page helpful?
Previous
List Webhook SubscriptionsGet a list of all webhook subscriptions with pagination and filtering options
Next
⌘I
Update Webhook Subscription
